﻿@model Contabilidad.Site.Models.WarehouseMovement.WarehouseMovementCreateViewModel
@{
    ViewData["Title"] = @Contabilidad.Resources.CommonResources.Create;
}
<div class="row clearfix">
    <div class="col-md-4 col-sm-6 ">
        <div class="x_panel">
            <h2>@Html.DisplayNameFor(model => model.Code)</h2>
            <h2>@Model.Code</h2>
        </div>
    </div>
</div>

<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>@Contabilidad.Resources.Models.Accounting.Warehouse.WarehouseMovement.Assign</h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form method="post" enctype="multipart/form-data">
                    @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                    {
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body bg-red">
                                    <div asp-validation-summary="ModelOnly"></div>
                                </div>
                            </div>
                        </div>
                    }
                    @Html.HiddenFor(model => model.Index, new { @id = "indexV" });
                    @Html.HiddenFor(model => model.IdWarehouseOrigin);


                    <div class="x_panel">
                        <div class="x_title">
                            <h2>@Contabilidad.Resources.Models.Accounting.Warehouse.WarehouseMovement.Details</h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content" id="contentDetail">
                            @if (Model.Details.Any())
                            {
                                for (int i = 0; i < Model.Details.Count(); i++)
                                {
                                    Model.Details.ElementAt(i).Index = i;
                                    @await Component.InvokeAsync("WarehouseMovementDetailCreateComponent", new { detail = Model.Details.ElementAt(i), idWarehouseOrigin = Model.IdWarehouseOrigin });
                                }
                            }
                        </div>
                        <a id="AddDetail" class="btn btn-secondary waves-effect">@Contabilidad.Resources.CommonResources.Add</a>
                    </div>
                    <div align="right">
                        <a href="#confirm" class="btn btn-primary waves-effect" data-toggle="modal" data-target="#confirm">@Contabilidad.Resources.CommonResources.SaveChanges</a>
                    </div>

                    <div class="modal fade" id="confirm" tabindex="-1" role="dialog">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.Models.Accounting.Warehouse.WarehouseMovement.Assign</h4>
                                </div>
                                <div class="modal-body">
                                    @Contabilidad.Resources.Models.Accounting.Warehouse.WarehouseMovement.CreateMessage
                                </div>
                                <div class="modal-footer">
                                    <input type="submit" id="submitbutton" value="@Contabilidad.Resources.CommonResources.SaveChanges" data-disableonclick="true" class="btn btn-primary waves-effect" />
                                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        $(document).ready(function () {
            $("#AddDetail").click(function () {
                var indexT = parseInt($("#indexV").val());
                $("#indexV").val(indexT + 1);
                $.ajax({
                    url: "AddDetail",
                    dataType: "html",
                    data: { index: indexT, idWarehouseOrigin: @Model.IdWarehouseOrigin },
                    success: function (result) {
                        $('#contentDetail').append(result);

                    }
                });
            });

        });
    </script>
    <script>
        function DeleteDetail(isDetail) {
            $("input[name*='" + isDetail + "']").val(true)
            $("input[name*='" + isDetail + "']").parent().hide()
        }
    </script>
}